Last Comment Bug 814952 - [Azure] Svg ellipse with stroke but no fill is not displayed.
: [Azure] Svg ellipse with stroke but no fill is not displayed.
Status: RESOLVED FIXED
: regression, testcase
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 17 Branch
: x86_64 Windows 7
: -- normal with 5 votes (vote)
: mozilla20
Assigned To: Bas Schouten (:bas.schouten)
:
Mentors:
http://www.w3.org/TR/SVG/images/shape...
: 818963 823032 830427 (view as bug list)
Depends on:
Blocks: 715768
  Show dependency treegraph
 
Reported: 2012-11-25 04:24 PST by Annon0m0s
Modified: 2013-02-12 12:11 PST (History)
17 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
+
wontfix
+
verified
+
fixed
wontfix


Attachments
bug_ff_ellipse_stroke_no_fill.svg (1.31 KB, image/svg+xml)
2012-11-25 04:24 PST, Annon0m0s
no flags Details
Further refactor and cleanup path state management (9.27 KB, patch)
2012-12-02 20:33 PST, Bas Schouten (:bas.schouten)
jmuizelaar: review+
bajaj.bhavana: approval‑mozilla‑aurora+
bajaj.bhavana: approval‑mozilla‑beta-
Details | Diff | Splinter Review
Add a reftest (853 bytes, patch)
2012-12-07 05:49 PST, Bas Schouten (:bas.schouten)
jmuizelaar: review-
Details | Diff | Splinter Review
Add a reftest v2 (2.19 KB, patch)
2012-12-11 10:20 PST, Bas Schouten (:bas.schouten)
no flags Details | Diff | Splinter Review
Add a reftest v3 (2.15 KB, patch)
2012-12-11 10:32 PST, Bas Schouten (:bas.schouten)
jmuizelaar: review+
Details | Diff | Splinter Review

Description Annon0m0s 2012-11-25 04:24:31 PST
Created attachment 684942 [details]
bug_ff_ellipse_stroke_no_fill.svg

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20121119183901

Steps to reproduce:

Show static svg page.


Actual results:

The page show one ellipse and two rectangles.


Expected results:

It should have shown two ellipses and two rectangles. The ellipse which is not shown has no fill but does have a stroke. The similar rectangle with no fill but has a stroke does display properly.  The ellipse and rectangle with fills display properly.  This shows correctly in Chrome.
Comment 1 Alice0775 White 2012-11-25 05:55:47 PST
I can confirm
http://hg.mozilla.org/mozilla-central/rev/d7841347b558
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20.0 Firefox/20.0 ID:20121124130632


setting gfx.content.azure.enabled to false helps.
Comment 2 Bas Schouten (:bas.schouten) 2012-12-02 20:33:23 PST
Created attachment 687616 [details] [diff] [review]
Further refactor and cleanup path state management
Comment 3 Bas Schouten (:bas.schouten) 2012-12-02 20:38:06 PST
Comment on attachment 687616 [details] [diff] [review]
Further refactor and cleanup path state management

This patch gets rid of all shortcuts and should just do completely correct Cairo emulation. That way hopefully we'll stop running into these terrible edge cases.
Comment 4 Bas Schouten (:bas.schouten) 2012-12-06 18:04:54 PST
*** Bug 818963 has been marked as a duplicate of this bug. ***
Comment 5 Bas Schouten (:bas.schouten) 2012-12-07 05:49:50 PST
Created attachment 689694 [details] [diff] [review]
Add a reftest
Comment 6 Robert Longson 2012-12-07 10:53:36 PST
I think you need to hg add the reftest file.
Comment 7 aveclafaux 2012-12-07 14:14:02 PST
(workaround : if you set a white background - and don't let the ellipse background set to none - the ellipse shows as expected)
PS: sorry for the spam, but the bugs shows in Google search...
Comment 8 Jeff Muizelaar [:jrmuizel] 2012-12-11 09:06:02 PST
Comment on attachment 689694 [details] [diff] [review]
Add a reftest

Review of attachment 689694 [details] [diff] [review]:
-----------------------------------------------------------------

The reftest is not included in this patch
Comment 9 Bas Schouten (:bas.schouten) 2012-12-11 10:20:45 PST
Created attachment 690944 [details] [diff] [review]
Add a reftest v2

Fixed.
Comment 10 Robert Longson 2012-12-11 10:25:37 PST
Something seems to have gone wrong with reftest.list.
Comment 11 Bas Schouten (:bas.schouten) 2012-12-11 10:32:04 PST
Created attachment 690950 [details] [diff] [review]
Add a reftest v3

Thanks, looks like Mercurial mysteriously screwed up the Merge.
Comment 12 Jeff Muizelaar [:jrmuizel] 2012-12-11 10:39:13 PST
Comment on attachment 690950 [details] [diff] [review]
Add a reftest v3

Review of attachment 690950 [details] [diff] [review]:
-----------------------------------------------------------------

::: layout/reftests/bugs/814952-1.html
@@ +11,5 @@
> +        }
> +
> +
> +    </style>
> +

Probably don't need so much white space here :)
Comment 13 :Ehsan Akhgari 2012-12-12 13:17:23 PST
Backed out since this doesn't build: https://hg.mozilla.org/integration/mozilla-inbound/rev/edd575426780
Comment 14 Bas Schouten (:bas.schouten) 2012-12-13 07:37:18 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/fa72584497cb
http://hg.mozilla.org/integration/mozilla-inbound/rev/950611b8b91c

Adjusted for some weird (maybe per spec?) GCC behavior.
Comment 16 Alex Keybl [:akeybl] 2012-12-14 11:26:58 PST
If this is low risk (despite the build issue), please nominate for uplift so that we can get this into our fifth beta, going to build Tuesday.
Comment 17 bhavana bajaj [:bajaj] 2012-12-17 14:14:08 PST
Jeff, can you please help with branch nomination/landings as requested in comment# 16, as Bas is Out ?
Comment 18 Jeff Muizelaar [:jrmuizel] 2012-12-18 11:36:40 PST
Comment on attachment 687616 [details] [diff] [review]
Further refactor and cleanup path state management

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 715768
User impact if declined: certain SVG content can render incorrectly
Testing completed (on m-c, etc.): Has been on m-c for a while, and we have some decent svg tests
Risk to taking this patch (and alternatives if risky): A limited amount of svg content would draw wrong. The patch is fairly invasive which is unfortunate. It may be that any bugs caused by this patch may not turn up until we release anyways, so the extra testing time might not help.
Comment 19 bhavana bajaj [:bajaj] 2012-12-18 13:13:09 PST
Comment on attachment 687616 [details] [diff] [review]
Further refactor and cleanup path state management

Approving the patch for aurora only .Considering the risk analysis and where we are in the cycle giving an a- for beta & prefer this gets good aurora testing.
Comment 22 Ryan VanderMeulen [:RyanVM] 2012-12-18 15:16:56 PST
Gah, saw a + there rather than a -. Backed out of beta.
https://hg.mozilla.org/releases/mozilla-beta/rev/78e698f8ed54
Comment 23 Robert Longson 2012-12-19 06:24:55 PST
*** Bug 823032 has been marked as a duplicate of this bug. ***
Comment 24 Alice0775 White 2013-01-14 12:24:59 PST
*** Bug 830427 has been marked as a duplicate of this bug. ***
Comment 25 Paul Silaghi, QA [:pauly] 2013-02-01 05:32:48 PST
Reproduced the issue on Nightly 2012-12-01 using the STR in comment 0.
Verified fixed Mozilla/5.0 (Windows NT 6.1; WOW64; rv:19.0) Gecko/20100101 Firefox/19.0b4
Comment 26 bhavana bajaj [:bajaj] 2013-02-12 12:11:30 PST
Not a critical security issue, neither a esr-specific regression or a is causing instability on esr, hence marking it wontfix.

Note You need to log in before you can comment on or make changes to this bug.